## org.codehaus.groovy.runtime
Class GroovyCategorySupport

author:
  sam

author:
  Paul King

Field Summary
`int` | `categoriesInUse`

Constructor Summary
`GroovyCategorySupport()`

Method Summary
`static List` | `getCategoryMethods(Class categorizedClass, String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static List` | `getCategoryMethods(Class categorizedClass)` This method is used to pull all the new methods out of the local thread context.
`static Object` | `getClosestMatchingCategoryMethod(Class sender, MetaMethod orig, MetaMethod element)`

Constructor Detail

### GroovyCategorySupport

    GroovyCategorySupport()

Method Detail

### getCategoryMethods

    public static List getCategoryMethods(Class categorizedClass, String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.
  param:
    categorizedClass a class subject to the category methods in the thread context
  param:
    name the method name of interest
  return:
    the list of methods

### getCategoryMethods

    public static List getCategoryMethods(Class categorizedClass)

  This method is used to pull all the new methods out of the local thread context.
  param:
    categorizedClass a class subject to the category methods in the thread context
  return:
    the list of methods

### getClosestMatchingCategoryMethod

    public static Object getClosestMatchingCategoryMethod(Class sender, MetaMethod orig, MetaMethod element)